Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Blog Ubuntu -- Správa "projektů" české komunity Ubuntu

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: Některé indexové soubory se nepodařilo stáhnout. Jsou ignorovány...  (Přečteno 826 krát)

Kos112567

  • Návštěvník
  • *
  • Příspěvků: 67
  • Karma: +0/-0
    • Zobrazit profil
Ahoj,

mám problém s updatem systému - vždy při zadání příkazu sudo apt-get update se mi na konci vypíše toto:

Kód: [Vybrat]
W: The repository 'http://ppa.launchpad.net/amith/ubuntutools/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://ppa.launchpad.net/colingille/freshlight/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Selhalo stažení http://ppa.launchpad.net/amith/ubuntutools/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Selhalo stažení http://ppa.launchpad.net/colingille/freshlight/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Selhalo stažení http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Některé indexové soubory se nepodařilo stáhnout. Jsou ignorovány, nebo jsou použity starší verze.

Díval jsem se zde na fórum, že se to řešilo, nicméně mě nic co se psalo v tom tématu nepomohlo.

Zkoušel jsem

a) stáhnout update z jiného serveru
b) Udělat to pomocí tohoto:

Citace
1. Vyprázdnění gpg cache
Kód: [Vybrat]

sudo rm /var/lib/apt/lists/* -vf
sudo apt-get update && sudo apt-get upgrade

2. Odstranění všech gpg klíčů
Kód: [Vybrat]

sudo rm /etc/apt/trusted.gpg.d/*.*
sudo rm /etc/apt/trustdb.gpg
sudo rm /etc/apt/trusted.gpg

3. V okně Software & Aktualizace > karta "Ověření" kliknout na "Obnovit výchozí"
4. Nakonec stáhni a nainstaluj y-ppa manager  http://archive.getdeb.net/ubuntu/pool/apps/y/y-ppa-manager/y-ppa-manager_0.0.9.1-1~getdeb1_all.deb
a pomocí něho nechej naimportovat všechny chybějící gpg klíče.
5. Hotovo - pokud nyní zadáš do Terminálu příkaz
Kód: [Vybrat]

sudo apt-get update

žádná chybová hláška se už nezobrazí - všechny zdroje budou dostupné.

V bodě 4 při spuštění Y PPA Manageru kliknu na Advanced - Try to import all missing GPG keys, chvilku čekám a poté se mi zobrazí hláška "Done importing missing GPG keys", Y PPA Manager zavřu a pokud příkazem chci spustit znovu update, mám stále stejný error (viz první výpis).

c) V záložce Ověření (Nastavení systému - Software & Aktualizace) nemám vypsané žádné Důvěryhodné poskytovatele softwaru. Pokud kliknu na tlačítko Obnovit výchozí a zadám root heslo, tak se nic nestane (tj. žádní poskytovatelé tam stále nejsou)

d) stáhnul jsem si Launchpad-getkeys a v terminálu postupně zadal:
sudo launchpad-getkeys
Kód: [Vybrat]
Please wait... launchpad-getkeys is running an update so
it can detect the missing GPG keys

Trying to import all the missing keys
Executing: /tmp/tmp.vvKhfznWp3/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.CZKxOTHqxS/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.dwGhQAO8cF/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.NgG0IDhz0s/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.n7CfdXq4Jl/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.x6puC8t7QN/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.23xWgd8xz6/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys

launchpad-getkeys has finished importing all missing GPG keys.
Try running sudo apt-get update - you shouldn't see any key
errors any more.
.............................................................
Note that launchpad-getkeys imports missing GPG keys but does
not fix broken keys.

dále sudo apt-get update

Kód: [Vybrat]
W: The repository 'http://ppa.launchpad.net/amith/ubuntutools/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://ppa.launchpad.net/colingille/freshlight/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Selhalo stažení http://ppa.launchpad.net/amith/ubuntutools/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Selhalo stažení http://ppa.launchpad.net/colingille/freshlight/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Selhalo stažení http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Některé indexové soubory se nepodařilo stáhnout. Jsou ignorovány, nebo jsou použity starší verze.

dále opět sudo launchpad-getkeys
Kód: [Vybrat]
Trying to import all the missing keys
Executing: /tmp/tmp.YrD4z1dIS1/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.fxOom4RnyQ/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.VvWoEeEx1r/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.crIXTqegsc/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.PBElPjfHVj/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.ph9dNSuEEm/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys
Executing: /tmp/tmp.ECoZPl8HpS/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--keyserver-options
http-proxy=
--recv-keys

launchpad-getkeys has finished importing all missing GPG keys.
Try running sudo apt-get update - you shouldn't see any key
errors any more.
.............................................................
Note that launchpad-getkeys imports missing GPG keys but does
not fix broken keys.

A nakonec zase sudo apt-get update - bez výsledku, stále to píše tu stejnou chybu

juwa2

  • Závislák
  • ****
  • Příspěvků: 1039
  • Karma: +76/-23
    • Zobrazit profil
Tento problém je způsoben některou položkou ve zdrojích SW (stačí přidat jeden "vadný" PPA a problém je na světě).
Proto s přidáváním ppa opatrně...
----------------------
Zatím vždy pomohl postup s vyčištěním viz výše. Setkal jsem se zatím pouze s jediným případem kdy to nepomohlo. Zkus to ještě jednou, třebas udělal někde chybu.
----------------------
Pokud se ani pak nezadaří, bude rychlejší+100%ně účinné:
1. Obnovit systém ze zálohy (ale tu asi nemáš - pouvažuj do budoucna o její žitečnosti, nyní bys to měl vyřešeno v řádu jednotek minut).
2. Záloha nainstalovaných aplikací pomocí Aptik,
reinstalace (doufám, že máš alespoň zvlášť oddíl /home)
Obnova všech aplikací pomocí zálohy Aptiku.
Práce na slabou hodinku....
« Poslední změna: 10 Duben 2017, 23:29:07 od juwa2 »

GdH

  • Moderátor
  • Závislák
  • *****
  • Příspěvků: 3008
  • Karma: +480/-17
    • Zobrazit profil
    • GdH-Notes
Apt ti ty chyby popisuje celkem jednoznačně, máš v systému repositáře, které nemají balíky pro tvou verzi a z toho vyplývají chyby a ke každé ještě pár varování. Vidím tam tři a ty bude dobré odstranit, nebo zakázat, což můžeš udělat v nastavení správce aktualizací.

Ještě obrázková nápověda:

« Poslední změna: 10 Duben 2017, 23:42:02 od GdH »

Kos112567

  • Návštěvník
  • *
  • Příspěvků: 67
  • Karma: +0/-0
    • Zobrazit profil
Vyzkoušel jsem ten návod od GdH a vypadá to, že to funguje - zakázal jsem takové, jejíž řádek začínal W: a asi mi apt-get update proběhl v pořádku...? (viz výpis z terminálu)

Kód: [Vybrat]
Mám:1 http://repo.steampowered.com/steam precise InRelease
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                                                                                 
Ign:3 http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_16.04  InRelease                                                                                                               
Mám:4 http://archive.canonical.com/ubuntu xenial InRelease                                                                                                                                                   
Mám:5 http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_16.04  Release                                                               
Mám:6 http://archive.ubuntu.com/ubuntu xenial InRelease                                                                                                   
Mám:7 http://ppa.launchpad.net/atareao/atareao/ubuntu xenial InRelease                                                           
Mám:8 http://repository.spotify.com stable InRelease                                                                             
Stahuje se:9 http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_16.04  Release.gpg [481 B]                   
Mám:10 http://ppa.launchpad.net/atareao/pushbullet/ubuntu xenial InRelease                               
Mám:11 http://archive.ubuntu.com/ubuntu xenial-updates InRelease                                         
Ign:12 http://dl.google.com/linux/webdesigner/deb stable InRelease                                       
Mám:13 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu xenial InRelease                                 
Mám:14 http://archive.ubuntu.com/ubuntu xenial-backports InRelease                                     
Mám:15 http://dl.google.com/linux/chrome/deb stable Release                                             
Mám:16 http://ppa.launchpad.net/jconti/recent-notifications/ubuntu xenial InRelease                     
Mám:17 http://archive.ubuntu.com/ubuntu xenial-security InRelease                                       
Mám:18 http://ppa.launchpad.net/mozillateam/firefox-next/ubuntu xenial InRelease                       
Mám:19 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial InRelease   
Mám:20 https://repo.skype.com/deb stable InRelease                           
Mám:21 http://dl.google.com/linux/webdesigner/deb stable Release             
Mám:22 http://ppa.launchpad.net/numix/ppa/ubuntu xenial InRelease             
Stahuje se:23 http://dl.google.com/linux/chrome/deb stable Release.gpg [916 B]
Mám:24 http://ppa.launchpad.net/peterlevi/ppa/ubuntu xenial InRelease                 
Mám:25 https://deb.opera.com/opera-stable stable InRelease
Mám:26 https://packages.microsoft.com/repos/vscode stable InRelease           
Mám:27 http://ppa.launchpad.net/pipelight/stable/ubuntu xenial InRelease     
Mám:28 http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial InRelease         
Stahuje se:29 http://dl.google.com/linux/webdesigner/deb stable Release.gpg [916 B]
Mám:30 http://ppa.launchpad.net/vlijm/spaceview/ubuntu xenial InRelease                 
Mám:31 http://ppa.launchpad.net/webupd8team/brackets/ubuntu xenial InRelease
Mám:32 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease
Staženo 2 313 B za 1s (1 544 B/s)
Načítají se seznamy balíků… Hotovo

GdH

  • Moderátor
  • Závislák
  • *****
  • Příspěvků: 3008
  • Karma: +480/-17
    • Zobrazit profil
    • GdH-Notes
Vyzkoušel jsem ten návod od GdH a vypadá to, že to funguje - zakázal jsem takové, jejíž řádek začínal W: a asi mi apt-get update proběhl v pořádku...? (viz výpis z terminálu)

Nepíše to žádné chyby, tudíž je to OK ;)

juwa2

  • Závislák
  • ****
  • Příspěvků: 1039
  • Karma: +76/-23
    • Zobrazit profil
Vyzkoušel jsem ten návod od GdH a vypadá to, že to funguje - zakázal jsem takové, jejíž řádek začínal W: a asi mi apt-get update proběhl v pořádku...? (viz výpis z terminálu)

Nepíše to žádné chyby, tudíž je to OK ;)
Myslím, že zakázání aktualizací SW (byť částečné) není korektním řešením, jde proti podstatě Centra software & aktualizací - odstraní chybové hlášení za cenu neaktualizování SW, navíc vyvolá falešný pocit že je vše OK....

GdH

  • Moderátor
  • Závislák
  • *****
  • Příspěvků: 3008
  • Karma: +480/-17
    • Zobrazit profil
    • GdH-Notes
Myslím, že zakázání aktualizací SW (byť částečné) není korektním řešením, jde proti podstatě Centra software & aktualizací - odstraní chybové hlášení za cenu neaktualizování SW, navíc vyvolá falešný pocit že je vše OK....

Tady jde o to, že Kos112567 měl v systému přidané tři ppa, které nemají software pro jeho aktuální verzi a poslední aktualizaci měly před 2 až 5 roky, maximálně pro U15.04, takže mu byly opravdu k ničemu. Buď si je do systému přidal úplně zbytečně, nebo musel dělat upgrade bez reinstalace už od Ubuntu 12.10 (v případě jednoho z těch tří ppa).
« Poslední změna: 12 Duben 2017, 10:39:07 od GdH »

Kos112567

  • Návštěvník
  • *
  • Příspěvků: 67
  • Karma: +0/-0
    • Zobrazit profil
Myslím, že zakázání aktualizací SW (byť částečné) není korektním řešením, jde proti podstatě Centra software & aktualizací - odstraní chybové hlášení za cenu neaktualizování SW, navíc vyvolá falešný pocit že je vše OK....

Tady jde o to, že Kos112567 měl v systému přidané tři ppa, které nemají software pro jeho aktuální verzi a poslední aktualizaci měly před 2 až 5 roky, maximálně pro U15.04, takže mu byly opravdu k ničemu. Buď si je do systému přidal úplně zbytečně, nebo musel dělat upgrade bez reinstalace už od Ubuntu 12.10 (v případě jednoho z těch tří ppa).

Přidal jsem si je do systému úplně zbytečně - moc jsem nehleděl na to, co si do ppa přidávám, což je samozřejmě špatně. Příště si dám na to větší pozor. Děkuji mnohokrát za rady
« Poslední změna: 12 Duben 2017, 10:40:03 od GdH »

Kos112567

  • Návštěvník
  • *
  • Příspěvků: 67
  • Karma: +0/-0
    • Zobrazit profil
Ahoj,
ještě se mi objevil problém, který pravděpodobně souvisí s problémem výše - najedu si na správce aktualizací, který mi ukazuje, že tam mám cca 230MB aktualizací. Kliknu na tlačítko Instalovat nyní a napíše mi to hlášku: "Je požadována instalace neprověřených balíků. Tato akce vyžaduje instalaci balíků z neověřených zdrojů."
Co s tím? Respektive kde zjistím, z jakých zdrojů se ty balíčky instalují a jak poznám, že je to z neověřených zdrojů - dá se neověřený zdroj nějak "ověřit"?

WeltRaum

  • Člen
  • **
  • Příspěvků: 106
  • Karma: +11/-0
    • Zobrazit profil
Ak má správca aktualizácií nejaký "problém", tak ho zavri, otvor terminál a zaktualizuj systém. Ak je niečo naozaj zle, tak to terminál ukáže:
Kód: [Vybrat]
sudo apt-get update
sudo apt-get dist-upgrade
Ja osobne aktualizujem systém iba cez terminál.  ;)
Linux Mint 18.2 Xfce

juwa2

  • Závislák
  • ****
  • Příspěvků: 1039
  • Karma: +76/-23
    • Zobrazit profil
Re:Některé indexové soubory se nepodařilo stáhnout. Jsou ignorovány...
« Odpověď #10 kdy: 16 Duben 2017, 16:39:31 »
Ahoj,
ještě se mi objevil problém, který pravděpodobně souvisí s problémem výše - najedu si na správce aktualizací, který mi ukazuje, že tam mám cca 230MB aktualizací. Kliknu na tlačítko Instalovat nyní a napíše mi to hlášku: "Je požadována instalace neprověřených balíků. Tato akce vyžaduje instalaci balíků z neověřených zdrojů."
Co s tím? Respektive kde zjistím, z jakých zdrojů se ty balíčky instalují a jak poznám, že je to z neověřených zdrojů - dá se neověřený zdroj nějak "ověřit"?
Neověřené zdroje jsou přeci některé tebou přidané ppa. Snad sis nemyslel, že to budou oficiální repozitáře.....
Do zdrojů SW nelze přidávat hala-bala kde co, pak to dopadá takto. Udělej si ve zdrojích pořádek.
« Poslední změna: 16 Duben 2017, 16:43:22 od juwa2 »